The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Clamavconnector is outdated!!

Discussion in 'cPanel Developers' started by damainman, Jan 30, 2005.

  1. damainman

    damainman Well-Known Member

    Joined:
    Nov 13, 2003
    Messages:
    515
    Likes Received:
    0
    Trophy Points:
    16
    --------------------- Clamav Begin ------------------------

    **Unmatched Entries**
    LibClamAV Warning: ****************************************************
    LibClamAV Warning: *** This version of ClamAV engine is outdated. ***
    LibClamAV Warning: *** Please update it IMMEDIATELY! ***
    LibClamAV Warning: ****************************************************

    ---------------------- Clamav End -------------------------
     
  2. DigitalN

    DigitalN Well-Known Member

    Joined:
    Sep 23, 2004
    Messages:
    420
    Likes Received:
    1
    Trophy Points:
    18
    It needs to be updated by the look, then you can run freshclam again - Did you manually install Clam or did you use cPanels auto install in whm?

    # clamscan -V

    Will tell you which version is running.
     
  3. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    I was wondering how cpanel was going to update their clamavconnector....

    Obviously not.....

    clamavconnector needs to update as part of the nightly run.....
     
  4. DigitalN

    DigitalN Well-Known Member

    Joined:
    Sep 23, 2004
    Messages:
    420
    Likes Received:
    1
    Trophy Points:
    18
  5. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    If you have the addon selected in WHM, it will check for updates nightly. cPanel aren't going to release the new clam as soon as it hits the shelves. There needs to be some QA testing involved before hand, no matter how stable the vendor says the product is. That said, I've gone ahead and submitted a bugzilla for ya'll to make cpanel aware of the new update.
     
  6. aladinliverpool

    aladinliverpool Registered

    Joined:
    Feb 7, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    surely cpanel shouldnt be so far being the updates tho?

    Shouldnt they just trust clamav and update the package anyway.

    I have been fined by my service for running an out of date clamAV something which i expected to update on its own. not have an engine thats running 2 versions older.

    my suggestion.. uninstall the cpanel clamav and install it manually..
     
  7. cooldude7273

    cooldude7273 Well-Known Member

    Joined:
    Jan 11, 2004
    Messages:
    363
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Roswell, GA
    bah

    How do I upgrade? :confused:
     
  8. destr0yr

    destr0yr Well-Known Member

    Joined:
    May 4, 2004
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Kelowna, BC.
    Disclaimer: It worked for me. If it borks your system your on your own. That said, goodluck.

    Grab the source for clamav 0.82: http://prdownloads.sourceforge.net/clamav/clamav-0.82.tar.gz?download
    Make sure you have the GMP library and its headers... quoted from the ClamAV FAQ:

    The ClamAV package requires the GMP library to verify the digital signature of the virus database. When building ClamAV you need the GMP library and its headers: if you are using Debian just run apt-get install libgmp3-dev, if you are using an RPM based distribution install the gmp-devel package. You'll need to rerun ./configure and recompile ClamAV.

    Code:
    cd /usr/local/cpanel/modules-install/clamavconnector-Linux-i686
    wget http://ovh.dl.sourceforge.net/sour[ceforge/clamav/clamav-0.82.tar.gz
    sed -i -e 's/AVV=0.80/AVV=0.82/' install
    ./install
    
    The 'sed' command may not work if you have an old version of sed, ie. 3.02. If thats the case, just edit the install file with your fav editor and change AVV=0.80 to AVV=0.82. Save it, exit, and run "./install"

    Verify that 0.82 has been installed by running the following:
    Code:
    /usr/bin/freshclam -V
    /usr/bin/clamscan -V
    /usr/sbin/clamd -V
    
    They should all report "ClamAV 0.82/700/Thu Feb 3 15:33:15 2005", run /usr/bin/freshclam to update.
     
  9. cooldude7273

    cooldude7273 Well-Known Member

    Joined:
    Jan 11, 2004
    Messages:
    363
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Roswell, GA
    ^^ It worked! Thanks alot!! :D
     
  10. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    Thanks for the how-to - it worked perfectly.
     
  11. r0l0e

    r0l0e Registered

    Joined:
    Jan 8, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    thank you destr0yr. that worked for me.
     
  12. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
  13. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    Do we do that every time clam gets outdated????

    I've updated mine and will using the instructions above from now on...
     
  14. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    RS-Freddo, you could, just make sure you don't have the option enabled in WHM to update the clamav connector. You may also miss out on future updates and fixes to the clamavconnector doing so. If you have no need for the cpanel frontend, then perhaps it would be best to just install clamav with exiscan by hand ?

    As for your question, make sure to read the release notes and changelog incase anything changes in the build, or configs and make the appropriate changes during the manual install.
     
  15. DavidR

    DavidR Well-Known Member

    Joined:
    Feb 25, 2003
    Messages:
    177
    Likes Received:
    0
    Trophy Points:
    16
    I wonder how cPanel will treat this if I leave the "keep clamavconnector updated" option on after upgrading manually. Think it will be a train wreck or would it just update over it, or not at all?

    David
     
  16. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    It will just update over it. It's a fairly straight forward update file.
     
  17. DavidR

    DavidR Well-Known Member

    Joined:
    Feb 25, 2003
    Messages:
    177
    Likes Received:
    0
    Trophy Points:
    16
    Cool, thanks.

    David
     
  18. DavidR

    DavidR Well-Known Member

    Joined:
    Feb 25, 2003
    Messages:
    177
    Likes Received:
    0
    Trophy Points:
    16
    In a weird aside, I just realized that when I installed clamavconnector, I only checked that and not cpanel pro. It worked fine, but I thought you had to install both? I wonder if this has changed. Just curious.

    David
     
  19. DavidR

    DavidR Well-Known Member

    Joined:
    Feb 25, 2003
    Messages:
    177
    Likes Received:
    0
    Trophy Points:
    16
    I tried this verbatim and my version remained the same .80. I saw two errors, one compalining about /bin/false not being in etc/shells and so it couldn't switch to clamav shell? Then after a lot of files are unpacked, it complains about zlib 1.2.1 having a security problem. After that, it restarts exim and the "your clamav is out of date message comes up and indeed, everything is still at .80. Are these fatal errors? I have cPanel lateset stable and I installed clamavconnector a couple of weeks ago. Thanks for any help - seemed smooth for everyone else :confused:

    David
     
  20. rs-freddo

    rs-freddo Well-Known Member

    Joined:
    May 13, 2003
    Messages:
    832
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Australia
    cPanel Access Level:
    Root Administrator
    I'm on RHEL and I couldn't install clamavconnector without installing pro. Sorry not to be more help.
     

Share This Page